unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses
  DACUnit, CalMakerUnit, CalUnit;

procedure TMainForm.Button1Click(Sender: TObject);
var
  DACForm: TDACForm;

begin
  Application.CreateForm(TDACForm, DACForm);
  with DACForm do if bGoAhead then Show else Free;
end;

procedure TMainForm.Button2Click(Sender: TObject);
var
  CalMakerForm: TCalMakerForm;

begin
  Application.CreateForm(TCalMakerForm, CalMakerForm);
  with CalMakerForm do if bGoAhead then Show else Free;
end;

procedure TMainForm.Button3Click(Sender: TObject);
var
  CalForm: TCalForm;

begin
  Application.CreateForm(TCalForm, CalForm);
  with CalForm do if bGoAhead then Show else Free;
end;

end.
